! ESA (C) 2000-2018 
!
! This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
!
!    SAS is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, either version 3 of the License, or
!    (at your option) any later version.
!
!    SAS is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License for more details.
!
!    You should have received a copy of the GNU General Public License
!    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
module catprep_mod
!use types
use errorHandling
use param
use catprep_aux
use catcorr_minor
implicit none
! character :: infile*200, outfile*200
character(1024) :: infile, outfile	! Size defined in /param/src/param.f90
integer :: status
!
contains

subroutine catprep
status = 0
infile  = stringParameter('srclistset')
outfile = stringParameter('catextract')
call catprep_top(trim(infile), trim(outfile), status)
call fits_status('CATPREP', status)
end subroutine catprep

end module catprep_mod
